BOOT(8) | System Manager's Manual (sun2) | BOOT(8)

# NAME

`boot` —
system bootstrapping procedures

# SYNOPSIS

`b` | [dev [(cntrl, unit, part)]] [file] [`-adqsv`]

# DESCRIPTION

## Power fail and crash recovery

Normally, the system will reboot itself at power-up or after crashes. An automatic consistency check of the file systems will be performed as described in fsck(8), and unless this fails, the system will resume multi-user operations.

## Selecting the device and kernel to boot

Normally, the `b` command alone is sufficient to boot the system, as the PROM chooses a default boot device dev if none is specified. The PROM chooses the first device present on the system from the following ordered list:

    sd	SCSI disk
    ie	Intel Ethernet
    ec	3Com Ethernet

Unless specified, the controller number cntrl, unit number unit, and partition number part default to zero, which is almost always correct.

The controller number can be specified if there is more than one of the given device in the system. For example, use “ie(1,,)” to boot off of the second Intel Ethernet in the system.

The unit number specifies one of the many devices attached to a controller. The exact meaning and values vary depending on the device name. For example, “sd(,18,)” boots the disk at target 6 on the first SCSI controller, 18 being the target number 6, multiplied by 4, and given in hexadecimal.

The partition number specifies one of the many partitions on a device. The exact meaning and values vary depending on the device name. For example, “sd(,18,1)” boots the second partition on the disk at target 6 on the first SCSI controller.

The PROM only loads a first-stage boot program, currently either /usr/mdec/bootxx (for a disk boot), or /usr/mdec/bootyy (for a network boot). This first-stage boot program then loads the second-stage boot program from the same device, currently either /usr/mdec/ufsboot (for a disk boot), or /usr/mdec/netboot (for a network boot).

The second-stage boot program will then attempt to load the kernel named file (or vmunix if none is specified). The second-stage disk boot program /usr/mdec/ufsboot loads the kernel from the same device that it was loaded from, while the second-stage network boot program /usr/mdec/netboot will load the kernel from the NFS root as determined by the procedure described in diskless(8).

## Boot program options

`-a`
  Prompt for the root file system device, the system crash dump device, and the path to init(8).
`-d`
  Bring the system up in debug mode. Here it waits for a kernel debugger connect; see ddb(4).
`-q`
  Boot the system in quiet mode.
`-s`
  Bring the system up in single-user mode.
`-v`
  Boot the system in verbose mode.

Other flags are currently ignored.

At any time you can break back to the ROM by pressing the ‘L1’ and ‘a’ keys at the same time (if the console is a serial port the same is achieved by sending a ‘break’). If you do this accidentally you can continue whatever was in progress by typing ‘c’ followed by the return key.

# FILES

/netbsd
  system code
/usr/mdec/bootxx
  first-level boot block for disks
/usr/mdec/bootyy
  first-level boot block for NFS (diskless) boot
/usr/mdec/netboot
  boot program for NFS (diskless) boot
/usr/mdec/ufsboot
  second-level boot program for UFS disks
/usr/sbin/installboot
  program to install bootxx on a disk

# SEE ALSO

crash(8), disklabel(8), fsck(8), halt(8), init(8), rc(8), shutdown(8), syslogd(8)

April 29, 2003 | NetBSD 10.1